apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: payroll-portal
  
spec:
  tls:
    - hosts:
        - dev-portal.pe.deployed.online
      secretName: dev-portal-payroll-cert-staging
  rules:
    - host: dev-portal.pe.deployed.online
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: dev-payroll-portal
                port:
                  number: 80